# XmPushButtonGadget

Section: LessTif Manuals (3)
Updated: April 1998
Index
Return to Main Contents

## NAME

XmPushButtonGadget - Motif-compatible pushutton gadget

## SYNOPSIS

#include <Xm/PushBG.h>

XmPushButtonGadget

XmCreatePushButtonGadget

## DESCRIPTION

XmPushButtonGadget

## X RESOURCES

Name | Class | Type | Default | Access

XmNactivateCallback | XmCCallback | Callback | NULL | CSG
XmNarmCallback | XmCCallback | Callback | NULL | CSG
XmNdisarmCallback | XmCCallback | Callback | NULL | CSG
XmNshadowThickness | XmCShadowThickness | HorizontalDimension | NULL | CSG
XmNtraversalOn | XmCTraversalOn | Boolean | NULL | CSG
XmNhighlightThickness | XmCHighlightThickness | HorizontalDimension | NULL | CSG
XmNshowAsDefault | XmCShowAsDefault | BooleanDimension | NULL | CSG

XmNactivateCallback

XmNarmCallback

XmNdisarmCallback

XmNshadowThickness

XmNtraversalOn

XmNhighlightThickness

XmNshowAsDefault

## CLASS HIERARCHY

Object(3) Rect(3) XmGadget(3) XmLabelGadget(3) XmPushButtonGadget(3)

## CALLBACKS

## CONVENIENCE FUNCTIONS

## SEE ALSO

## Index

NAME
SYNOPSIS
DESCRIPTION
X RESOURCES
CLASS HIERARCHY
CALLBACKS
CONVENIENCE FUNCTIONS
SEE ALSO

This document was created by man2html, using the manual pages.